Page MenuHomePhabricator

Do a mini research on best practices for product decision making in like-minded movements or platforms
Closed, ResolvedPublic

Description

Based on this mini survery https://www.mediawiki.org/wiki/User:Melamrawy_%28WMF%29/Community_collaboration_best_practices, it will be great to come up with additional findings on how others work with their communities, and what can we learn.

Please help spread the google form: https://docs.google.com/forms/d/1B7ECWxovNM9QA5RHDlx-polTXHdmAelGiHefoUkWTck/viewform?c=0&w=1

Update: Changed priority to low, not because it is less important, but because this is not currently very active. I need to change my outreach plans, and will appreciate any help here :)

Related Objects

StatusAssignedTask
DuplicateNone
DuplicateNone
Duplicate Qgil
ResolvedElitre
ResolvedElitre
DeclinedNone
OpenNone
OpenNone
InvalidKeegan
ResolvedQuiddity
Duplicate Qgil
Resolved Qgil
Resolved Qgil
DeclinedKeegan
ResolvedKeegan
DeclinedNone
DeclinedNone
ResolvedKeegan
ResolvedKeegan
Resolved Qgil
ResolvedKeegan
ResolvedKeegan
ResolvedMoushira

Event Timeline

Moushira created this task.Dec 16 2015, 4:18 PM
Moushira claimed this task.
Moushira raised the priority of this task from to Needs Triage.
Moushira updated the task description. (Show Details)
Moushira added a subscriber: Moushira.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 16 2015, 4:18 PM

Does "product decision making" refer to the initial concept phase of new products, their prioritization, their design, all of it...?

I'm trying to understand how your research can contribute to a better WMF product development process.

Yes, @Qgil, initial concept preparation, how products develop, feedback loops, etc.

Moushira triaged this task as Low priority.Feb 24 2016, 8:45 AM
Moushira updated the task description. (Show Details)
Moushira set Security to None.
Moushira changed the task status from Open to Stalled.Mar 7 2016, 11:36 AM

Assuming this task is waiting for further input and can currently not be acted on (="stalled" status), what further input is needed and from who?

I marked it as stalled, because I am not actively working on it. It needs further help with outreach to get the survey to reach to the right audience. Is this status confusing? :)

Qgil added a subscriber: Keegan.EditedMar 8 2016, 9:58 AM

I think we need to decide whether plan this survey properly in coordination with our WMF-Product-Development-Process efforts or decline this task, allowing ourselves to reopen it in the future.

I will move this task tentatively to the next quarter, which should server as a comfortable time frame for a decision.

Moushira closed this task as Resolved.Apr 5 2016, 10:26 AM